import { Pipe } from '@angular/core';
import { DomSanitizer } from '@angular/platform-browser';
var TrustHtmlPipe = (function () {
    function TrustHtmlPipe(domSanitizer) {
        this.domSanitizer = domSanitizer;
    }
    TrustHtmlPipe.prototype.transform = function (value, args) {
        return value ? this.domSanitizer.bypassSecurityTrustHtml(value) : '';
    };
    TrustHtmlPipe.decorators = [
        { type: Pipe, args: [{
                    name: 'trustHtml'
                },] },
    ];
    TrustHtmlPipe.ctorParameters = function () { return [
        { type: DomSanitizer, },
    ]; };
    return TrustHtmlPipe;
}());
export { TrustHtmlPipe };
