import { Component } from '@angular/core';
import { ModalDismissReasons } from '../modal';
import { HiNGConfig } from '../hi.config';
var ConfirmDialogComponent = (function () {
    function ConfirmDialogComponent(hiNGConfig) {
        this.hiNGConfig = hiNGConfig;
        this.btnYes = hiNGConfig.dialog.button.yes;
        this.btnYesType = hiNGConfig.dialog.button.btnYesType;
        this.btnNo = hiNGConfig.dialog.button.no;
        this.btnNoType = hiNGConfig.dialog.button.btnNoType;
    }
    ConfirmDialogComponent.prototype.yes = function () {
        this.dismiss.emit(ModalDismissReasons.YES);
    };
    ConfirmDialogComponent.prototype.no = function () {
        this.dismiss.error(ModalDismissReasons.NO);
    };
    ConfirmDialogComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-confirm-dialog',
                    template: "\n    <div class=\"modal-header\"><button type=\"button\" class=\"close\" data-dismiss=\"modal\" aria-label=\"Close\" (click)=\"no()\"><span aria-hidden=\"true\">&times;</span></button><h4 class=\"modal-title\">{{context.title}}</h4></div><div class=\"modal-body\"><div *ngIf=\"!context.html\"><div *ngIf=\"context.icon\" class=\"dialog-icon\"><i class=\"{{context.icon}}\"></i></div><div class=\"dialog-content\">{{context.content}}</div></div><div *ngIf=\"context.html\"><div *ngIf=\"context.icon\" class=\"dialog-icon\"><i class=\"{{context.icon}}\"></i></div><div class=\"dialog-content\" [innerHTML]=\"context.content\"></div></div></div><div class=\"modal-footer\"><button type=\"button\" class=\"btn btn-{{btnYesType}}\" (click)=\"yes()\">{{context.yes || btnYes}}</button> <button type=\"button\" class=\"btn btn-{{btnNoType}}\" (click)=\"no()\">{{context.no || btnNo}}</button></div>\n  "
                },] },
    ];
    ConfirmDialogComponent.ctorParameters = function () { return [
        { type: HiNGConfig, },
    ]; };
    return ConfirmDialogComponent;
}());
export { ConfirmDialogComponent };
