var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, ChangeDetectionStrategy, Optional, ChangeDetectorRef, Renderer2, Input } from '@angular/core';
import { FileUpload } from '../file-upload/file-upload';
import { HiNGConfig } from '../hi.config';
import { HttpClient } from '@angular/common/http';
import { ModalService } from '../modal';
import { noop } from '../utils';
import { ViewImageModalComponent } from './view-image-modal.component';
var ImageUploadComponent = (function (_super) {
    __extends(ImageUploadComponent, _super);
    function ImageUploadComponent(hiNGConfig, renderer, http, changeDetectorRef, modalService) {
        var _this = _super.call(this, hiNGConfig, renderer, http, changeDetectorRef) || this;
        _this.modalService = modalService;
        _this.viewIcon = _this.hiNGConfig.imageUpload.viewIcon;
        _this.imgPreview = true;
        _this.autoUpload = true;
        _this.accept = 'image/*';
        return _this;
    }
    ImageUploadComponent.prototype.viewImage = function (fileItem) {
        this.modalService.open({
            component: ViewImageModalComponent,
            resolve: { url: fileItem.dataUrl, name: fileItem.name }
        }).subscribe(noop, noop);
    };
    ImageUploadComponent.prototype.uploadBtnIcon = function () {
        return this.isUploading ? this.loadingIcon : this.plusIcon;
    };
    ImageUploadComponent.prototype.onFileUploadError = function (fileItem, error) {
        this.selectFiles = this.selectFiles.filter(function (item) { return item !== fileItem; });
        return _super.prototype.onFileUploadError.call(this, fileItem, error);
    };
    ImageUploadComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-image-upload',
                    template: "\n    <input #file type=\"file\" (change)=\"newFileChoose(file)\" style=\"display: none\"><div class=\"image-upload clearfix {{cssClass}}\" reDroppable (onDrop)=\"onDropFiles($event)\"><div *ngFor=\"let fileItem of uploadFiles\" class=\"image-upload-item\" [style.width]=\"previewWidth\" [style.height]=\"previewHeight\"><div class=\"image-upload-image-view\"><div class=\"image-upload-toolbar\"><i class=\"image-upload-toolbar-item image-upload-toolbar-view {{viewIcon}}\" (click)=\"viewImage(fileItem)\"></i> <i class=\"image-upload-toolbar-item image-upload-toolbar-remove {{removeIcon}}\" (click)=\"onRemoveUploadFile(fileItem)\"></i></div><div class=\"image-upload-item-info\"><img class=\"preview-image img-responsive\" [src]=\"fileItem.dataUrl\" [attr.alt]=\"fileItem.file?.name\"></div></div></div><div class=\"image-upload-item image-upload-btn\" [style.width]=\"previewWidth\" [style.height]=\"previewHeight\" (click)=\"addNewFile($event)\" *ngIf=\"!isMoreThanMaxItems() || isUploading\"><div class=\"image-upload-item-info\"><i class=\"image-upload-btn-icon {{uploadBtnIcon()}}\" [ngClass]=\"{'uploading': isUploading}\"></i><div class=\"image-upload-btn-text\">{{uploadButton}}</div></div></div></div><hi-alert-box class=\"file-upload-error-box\" type=\"danger\" [closable]=\"true\" (close)=\"clearErrors()\" *ngIf=\"showErrors && errors.length\"><ul><li *ngFor=\"let error of errors\">{{error}}</li></ul></hi-alert-box>\n  ",
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    exportAs: 'imageUpload'
                },] },
    ];
    ImageUploadComponent.ctorParameters = function () { return [
        { type: HiNGConfig, },
        { type: Renderer2, },
        { type: HttpClient, decorators: [{ type: Optional },] },
        { type: ChangeDetectorRef, },
        { type: ModalService, },
    ]; };
    ImageUploadComponent.propDecorators = {
        "viewIcon": [{ type: Input },],
    };
    return ImageUploadComponent;
}(FileUpload));
export { ImageUploadComponent };
