import { Component, Input } from '@angular/core';
import { HiNGConfig } from '../hi.config';
var NotifyComponent = (function () {
    function NotifyComponent(hiNGConfig) {
        this.hiNGConfig = hiNGConfig;
        this.notifies = [];
        this.placement = hiNGConfig.alertBoxPanel.placement;
        this.cssClass = hiNGConfig.alertBoxPanel.cssClass;
        this.width = hiNGConfig.alertBoxPanel.width;
    }
    NotifyComponent.prototype.close = function (item) {
        this.notifies = this.notifies.filter(function (box) { return box !== item; });
    };
    NotifyComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-notify',
                    template: "\n    <hi-alert-box *ngFor=\"let item of notifies\" [type]=\"item.type\" [closable]=\"true\" (close)=\"close(item)\"><div *ngIf=\"!item.template\" [innerHTML]=\"item.html\"></div><ng-template *ngIf=\"item.template\" [ngTemplateOutlet]=\"item.template\" [ngTemplateOutletContext]=\"{ $implicit: item }\"></ng-template></hi-alert-box>\n  ",
                    host: {
                        '[style.width]': 'width',
                        '[class]': '(placement ? "alert-" + placement : "") + " " + (cssClass || "")',
                    }
                },] },
    ];
    NotifyComponent.ctorParameters = function () { return [
        { type: HiNGConfig, },
    ]; };
    NotifyComponent.propDecorators = {
        "notifies": [{ type: Input },],
        "width": [{ type: Input },],
        "cssClass": [{ type: Input },],
        "placement": [{ type: Input },],
    };
    return NotifyComponent;
}());
export { NotifyComponent };
