import { Injectable } from '@angular/core';
import { Router } from '@angular/router';
import { OAuth2Service } from './oauth2.service';
var OAuth2Guard = (function () {
    function OAuth2Guard(router, service) {
        this.router = router;
        this.service = service;
    }
    OAuth2Guard.prototype.canActivate = function (route, state) {
        var isAuthorized = this.service.isAuthorized();
        if (isAuthorized && state.url === '/') {
            this.navigate(this.service.config.homeUri);
        }
        if (!isAuthorized && this.isPublicPage(state)) {
            this.navigate(this.service.config.backUri);
        }
        return isAuthorized;
    };
    OAuth2Guard.prototype.canActivateChild = function (route, state) {
        return this.canActivate(route, state);
    };
    OAuth2Guard.prototype.isPublicPage = function (state) {
        return state.url === this.service.config.backUri ? false : true;
    };
    OAuth2Guard.prototype.navigate = function (url) {
        if (url.startsWith('http')) {
            window.location.href = url;
        }
        else {
            this.router.navigateByUrl(url);
        }
    };
    OAuth2Guard.decorators = [
        { type: Injectable },
    ];
    OAuth2Guard.ctorParameters = function () { return [
        { type: Router, },
        { type: OAuth2Service, },
    ]; };
    return OAuth2Guard;
}());
export { OAuth2Guard };
