import { NgModule, Optional } from '@angular/core';
import { StorageModule } from '../storage/storage.module';
import { OAuth2Service } from './oauth2.service';
import { OAuth2Guard } from './oauth2.guard';
import { OAuth2Config } from './oauth2.config';
export var AUTH_ROLE_PERMISSIONS_PROVIDERS = [
    OAuth2Service,
    OAuth2Guard
];
export function providePower(config) {
    return AUTH_ROLE_PERMISSIONS_PROVIDERS.concat([
        { provide: OAuth2Config, useValue: config }
    ]);
}
var OAauth2Module = (function () {
    function OAauth2Module(parentModule) {
        if (!parentModule) {
            throw 'Should import storage(StorageModule)!';
        }
    }
    OAauth2Module.forRoot = function (config) {
        return {
            ngModule: OAauth2Module,
            providers: providePower(config).slice()
        };
    };
    OAauth2Module.decorators = [
        { type: NgModule, args: [{
                    imports: [
                        StorageModule
                    ]
                },] },
    ];
    OAauth2Module.ctorParameters = function () { return [
        { type: StorageModule, decorators: [{ type: Optional },] },
    ]; };
    return OAauth2Module;
}());
export { OAauth2Module };
