import { Component, ViewContainerRef, Injector, ComponentFactoryResolver } from '@angular/core';
var OverlayContentComponent = (function () {
    function OverlayContentComponent(contentContainer, injector, componentFactoryResolver) {
        this.contentContainer = contentContainer;
        this.injector = injector;
        this.componentFactoryResolver = componentFactoryResolver;
    }
    OverlayContentComponent.prototype.addContent = function (options) {
        var componentFactoryResolver = options.componentFactoryResolver || this.componentFactoryResolver;
        var componentFactory = componentFactoryResolver.resolveComponentFactory(options.component);
        this.contentRef = this.contentContainer
            .createComponent(componentFactory, this.contentContainer.length, options.injector || this.injector);
    };
    OverlayContentComponent.prototype.ngOnDestroy = function () {
        if (this.contentRef) {
            this.contentRef.destroy();
        }
    };
    OverlayContentComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-overlay-content',
                    template: '',
                    exportAs: 'overlayContent'
                },] },
    ];
    OverlayContentComponent.ctorParameters = function () { return [
        { type: ViewContainerRef, },
        { type: Injector, },
        { type: ComponentFactoryResolver, },
    ]; };
    return OverlayContentComponent;
}());
export { OverlayContentComponent };
