var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
import { Component, ViewEncapsulation } from '@angular/core';
import { fadeAnimation } from '../common/animation/fade-animations';
import { TooltipComponent } from '../tooltip/tooltip.component';
var PopoverComponent = (function (_super) {
    __extends(PopoverComponent, _super);
    function PopoverComponent() {
        var _this = _super !== null && _super.apply(this, arguments) || this;
        _this._prefix = 'hi-popover-placement';
        return _this;
    }
    PopoverComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-popover',
                    preserveWhitespaces: false,
                    animations: [fadeAnimation],
                    template: "\n    <ng-content></ng-content><ng-template #overlay=\"cdkConnectedOverlay\" cdkConnectedOverlay [cdkConnectedOverlayOrigin]=\"overlayOrigin\" [cdkConnectedOverlayHasBackdrop]=\"_hasBackdrop\" (backdropClick)=\"hide()\" (detach)=\"hide()\" (positionChange)=\"onPositionChange($event)\" [cdkConnectedOverlayPositions]=\"_positions\" [cdkConnectedOverlayOpen]=\"visible$ | async\"><div class=\"hi-popover\" [ngClass]=\"_classMap\" [ngStyle]=\"hiOverlayStyle\" [@fadeAnimation]=\"''+(visible$ | async)\" (@fadeAnimation.done)=\"_afterVisibilityAnimation($event)\"><div class=\"hi-popover-content\"><div class=\"hi-popover-arrow\"></div><div class=\"hi-popover-inner\"><div class=\"hi-popover-title\" *ngIf=\"hiTitle\" [innerHTML]=\"hiTitle\"></div><div class=\"hi-popover-inner-content\"><span *ngIf=\"!hiTemplate\">{{ hiContent }}</span><ng-template *ngIf=\"hiTemplate\" [ngTemplateOutlet]=\"hiTemplate\"></ng-template></div></div></div></div></ng-template>\n  ",
                    styles: ["\n    .cdk-overlay-container{pointer-events:none;top:0;left:0;height:100%;width:100%;position:fixed;z-index:1000}.cdk-overlay-backdrop{top:0;bottom:0;left:0;right:0;-webkit-tap-highlight-color:transparent;-webkit-transition:opacity 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);transition:opacity 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);opacity:0}.cdk-overlay-backdrop,.cdk-overlay-pane{position:absolute;pointer-events:auto;z-index:1000}.hi-popover{position:relative;font-family:\"Monospaced Number\",\"Chinese Quote\",-apple-system,BlinkMacSystemFont,\"Segoe UI\",Roboto,\"PingFang SC\",\"Hiragino Sans GB\",\"Microsoft YaHei\",\"Helvetica Neue\",Helvetica,Arial,sans-serif;font-size:14px;line-height:1.5;color:rgba(0,0,0,0.65);-webkit-box-sizing:border-box;box-sizing:border-box;margin:0;padding:0;list-style:none;top:0;left:0;z-index:1030;cursor:auto;-webkit-user-select:text;-moz-user-select:text;-ms-user-select:text;user-select:text;white-space:normal;font-weight:400;text-align:left}.hi-popover:after{content:\"\";position:absolute;background:rgba(255,255,255,0.01)}.hi-popover-hidden{display:none}.hi-popover-placement-top,.hi-popover-placement-topLeft,.hi-popover-placement-topRight{padding-bottom:9px}.hi-popover-placement-right,.hi-popover-placement-rightBottom,.hi-popover-placement-rightTop{padding-left:9px}.hi-popover-placement-bottom,.hi-popover-placement-bottomLeft,.hi-popover-placement-bottomRight{padding-top:9px}.hi-popover-placement-left,.hi-popover-placement-leftBottom,.hi-popover-placement-leftTop{padding-right:9px}.hi-popover-inner{background-color:#fff;background-clip:padding-box;border-radius:4px;-webkit-box-shadow:0 2px 8px rgba(0,0,0,0.15);box-shadow:0 2px 8px rgba(0,0,0,0.15)}.hi-popover-title{min-width:177px;margin:0;padding:5px 16px 4px;min-height:32px;border-bottom:1px solid #e8e8e8;color:rgba(0,0,0,0.85);font-weight:500}.hi-popover-inner-content{padding:12px 16px;color:rgba(0,0,0,0.65)}.hi-popover-message{padding:4px 0 12px;font-size:14px;color:rgba(0,0,0,0.65)}.hi-popover-message>.anticon{color:#faad14;line-height:1.6;position:absolute}.hi-popover-message-title{padding-left:22px}.hi-popover-buttons{text-align:right;margin-bottom:4px}.hi-popover-buttons button{margin-left:8px}.hi-popover-arrow{background:#fff;width:7.07106781px;height:7.07106781px;-webkit-transform:rotate(45deg);transform:rotate(45deg);position:absolute;display:block;border-color:transparent;border-style:solid}.hi-popover-placement-top>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-topLeft>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-topRight>.hi-popover-content>.hi-popover-arrow{bottom:6px;-webkit-box-shadow:3px 3px 7px rgba(0,0,0,0.07);box-shadow:3px 3px 7px rgba(0,0,0,0.07)}.hi-popover-placement-top>.hi-popover-content>.hi-popover-arrow{left:50%;-webkit-transform:translateX(-50%) rotate(45deg);transform:translateX(-50%) rotate(45deg)}.hi-popover-placement-topLeft>.hi-popover-content>.hi-popover-arrow{left:16px}.hi-popover-placement-topRight>.hi-popover-content>.hi-popover-arrow{right:16px}.hi-popover-placement-right>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-rightBottom>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-rightTop>.hi-popover-content>.hi-popover-arrow{left:6px;-webkit-box-shadow:-3px 3px 7px rgba(0,0,0,0.07);box-shadow:-3px 3px 7px rgba(0,0,0,0.07)}.hi-popover-placement-right>.hi-popover-content>.hi-popover-arrow{top:50%;-webkit-transform:translateY(-50%) rotate(45deg);transform:translateY(-50%) rotate(45deg)}.hi-popover-placement-rightTop>.hi-popover-content>.hi-popover-arrow{top:12px}.hi-popover-placement-rightBottom>.hi-popover-content>.hi-popover-arrow{bottom:12px}.hi-popover-placement-bottom>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-bottomLeft>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-bottomRight>.hi-popover-content>.hi-popover-arrow{top:6px;-webkit-box-shadow:-1px -1px 4px rgba(0,0,0,0.06);box-shadow:-1px -1px 4px rgba(0,0,0,0.06)}.hi-popover-placement-bottom>.hi-popover-content>.hi-popover-arrow{left:50%;-webkit-transform:translateX(-50%) rotate(45deg);transform:translateX(-50%) rotate(45deg)}.hi-popover-placement-bottomLeft>.hi-popover-content>.hi-popover-arrow{left:16px}.hi-popover-placement-bottomRight>.hi-popover-content>.hi-popover-arrow{right:16px}.hi-popover-placement-left>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-leftBottom>.hi-popover-content>.hi-popover-arrow,.hi-popover-placement-leftTop>.hi-popover-content>.hi-popover-arrow{right:6px;-webkit-box-shadow:3px -3px 7px rgba(0,0,0,0.07);box-shadow:3px -3px 7px rgba(0,0,0,0.07)}.hi-popover-placement-left>.hi-popover-content>.hi-popover-arrow{top:50%;-webkit-transform:translateY(-50%) rotate(45deg);transform:translateY(-50%) rotate(45deg)}.hi-popover-placement-leftTop>.hi-popover-content>.hi-popover-arrow{top:12px}.hi-popover-placement-leftBottom>.hi-popover-content>.hi-popover-arrow{bottom:12px}\n  "],
                    encapsulation: ViewEncapsulation.None,
                },] },
    ];
    return PopoverComponent;
}(TooltipComponent));
export { PopoverComponent };
