import { Component, Input, TemplateRef, ViewChild } from '@angular/core';
import { toBoolean } from '../utils/convert';
var OptionComponent = (function () {
    function OptionComponent() {
        this._disabled = false;
        this._customContent = false;
    }
    Object.defineProperty(OptionComponent.prototype, "hiDisabled", {
        get: function () {
            return this._disabled;
        },
        set: function (value) {
            this._disabled = toBoolean(value);
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(OptionComponent.prototype, "hiCustomContent", {
        get: function () {
            return this._customContent;
        },
        set: function (value) {
            this._customContent = toBoolean(value);
        },
        enumerable: true,
        configurable: true
    });
    OptionComponent.decorators = [
        { type: Component, args: [{
                    selector: 'hi-option',
                    template: "\n    <ng-template>\n      <ng-content></ng-content>\n    </ng-template>"
                },] },
    ];
    OptionComponent.propDecorators = {
        "template": [{ type: ViewChild, args: [TemplateRef,] },],
        "hiLabel": [{ type: Input },],
        "hiValue": [{ type: Input },],
        "hiDisabled": [{ type: Input },],
        "hiCustomContent": [{ type: Input },],
    };
    return OptionComponent;
}());
export { OptionComponent };
